Package org.apache.sling.commons.scheduler

## Interface JobContext

    @ProviderType
    public interface JobContext

The context for a `Job`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Serializable>` `getConfiguration()` Get the configuration provided when the job was scheduled.
`String` `getName()` Get the name of the scheduled job.

### Method Detail

#### getName

    String getName()

Get the name of the scheduled job.

Returns:
  The name of the job.

#### getConfiguration

    Map<String,​Serializable> getConfiguration()

Get the configuration provided when the job was scheduled.

Returns:
  A non-null map of values.